2019-11-30 10:08:44 -0800  Kevin McCarthy  <kevin@8t8.us> (b1d99670)

        * Set UPDATING file release date for 1.13.0.

M	UPDATING

2019-11-30 09:56:16 -0800  Kevin McCarthy  <kevin@8t8.us> (0950403f)

        * Change "Prf Enc" to "Prf Encr".
        
        Make the abbreviation a bit clearer, that it means Encryption instead
        of Encoding.
        
        Thanks to Morten Bo Johansen for the suggestion.

M	autocrypt/autocrypt_acct_menu.c
M	po/ca.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/ja.po
M	po/ru.po
M	po/uk.po

2019-11-29 18:22:49 +0100  Olaf Hering  <olaf@aepfle.de> (c6845bd1)

        * Update de.po
        
        Sync from mutt.pot after 'make update-po'
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	po/de.po

2019-11-28 07:13:47 +0000  Tamotsu TAKAHASHI  <ttakah@gmail.com> (e8214c87)

        * Update copyright year

M	po/ja.po

2019-11-28 06:59:47 +0000  Tamotsu TAKAHASHI  <ttakah@gmail.com> (be4801f8)

        * Update ja.po

M	po/ja.po

2019-11-25 15:36:48 -0800  Kevin McCarthy  <kevin@8t8.us> (220a4c91)

        * Clarify $write_bcc documentation.
        
        The wording was ambiguous, and could give the impression that a
        message, if fcc'ed, would contain the Bcc header when sent too.

M	init.h

2019-11-23 19:45:20 -0800  Kevin McCarthy  <kevin@8t8.us> (54aa06f7)

        * Add a bit more documentation about sending.
        
        Although the behavior has now been fixed, add $write_bcc references to
        $record, $sendmail, and $smtp_url to make users more aware of the
        behavior.

M	doc/manual.xml.head
M	init.h

2019-11-23 18:33:28 -0800  Kevin McCarthy  <kevin@8t8.us> (acca75f2)

        * Minor UPDATING file edits.

M	UPDATING

2019-11-23 18:22:24 -0800  Ivan Vilata i Balaguer  <ivan@selidor.net> (b302a3e7)

        * Updated Catalan translation.

M	po/ca.po

2019-11-20 13:23:00 -0800  Petr Pisar  <petr.pisar@atlas.cz> (2e3f535a)

        * Updated Czech translation.

M	po/cs.po

2019-11-20 12:21:24 -0800  Vsevolod Volkov  <vvv@mutt.org.ua> (2e3e9556)

        * Updated Russian translation.

M	po/ru.po

2019-11-20 12:19:47 -0800  Vsevolod Volkov  <vvv@mutt.org.ua> (0c0f4518)

        * Updated Ukrainian translation.

M	po/uk.po

2019-11-18 12:54:26 -0800  Morten Bo Johansen  <listmail@mbjnet.dk> (f84c1fba)

        * Updated Danish translation.

M	po/da.po

2019-11-16 21:40:27 +0100  Olaf Hering  <olaf@aepfle.de> (40e7c914)

        * Update de.po
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	po/de.po

2019-11-14 20:10:35 -0800  Kevin McCarthy  <kevin@8t8.us> (33604971)

        * Add initial UPDATING file entries for 1.13.0.
        
        This is just an initial version, complete with typos and other
        mistakes.  Committing now so translators can refer to it.

M	UPDATING

2019-11-13 20:09:37 -0800  Kevin McCarthy  <kevin@8t8.us> (24ca73ae)

        * Fix $fcc_attach to not prompt in batch mode.
        
        Include attachments if it is 'yes' or 'ask-yes', like $copy and
        $send_multipart_alternative.

M	send.c

2019-11-13 19:28:11 -0800  Kevin McCarthy  <kevin@8t8.us> (06698649)

        * Change $send_multipart_alternative to run in batch mode on ask-yes.
        
        Emulate the behavior of $copy, which performs fcc for 'yes' or
        'ask-yes' values.

M	send.c

2019-11-13 17:51:04 +0000  madroach  <madroach@gmerlin.de> (e850e89f)

        * allow autoview preview of multipart/alternative content
        
        add view-alt function, so now we have
         * view-alt "v"
         * view-alt-text "Esc v"
         * view-alt-mailcap "V"

M	OPS
M	compose.c
M	doc/manual.xml.head
M	functions.h

2019-11-13 00:27:28 +0000  David Champion  <dgc@c13.us> (20c7b0d8)

        * Fix __attribute__((warn_unused_result)) issue in query.c
        
        Changing to mutt_read_line() avoids -Wunused-result warning while
        reading the ignored line in query protocol response.

M	query.c

2019-11-13 00:27:27 +0000  David Champion  <dgc@c13.us> (f098ac2d)

        * Fix __attribute__((warn_unused_result)) issue in help.c

M	help.c

2019-11-13 00:27:27 +0000  David Champion  <dgc@c13.us> (09dfed3f)

        * Fix __attribute__((warn_unused_result)) warning in enter.c

M	enter.c

2019-11-13 00:27:25 +0000  David Champion  <dgc@c13.us> (317b7f6b)

        * Fixes unchecked return from link() in dotlock.c

M	dotlock.c

2019-11-11 10:06:44 +0000  David Champion  <dgc.github@c13.us> (afb14d62)

        * Update copyrights

M	COPYRIGHT

2019-11-11 10:06:44 +0000  David Champion  <dgc.github@c13.us> (d8b9f793)

        * Update patchlist.sh to support `guilt' patch queues

M	patchlist.sh

2019-11-10 19:58:43 -0800  Kevin McCarthy  <kevin@8t8.us> (88f26048)

        * Add gcc comments for fallthrough case statements.
        
        Most of these were already commented.  Change a few of them to
        a format gcc will recognize.  In the future, we'll want to change to
        whatever is standardized.

M	addrbook.c
M	autocrypt/autocrypt_gpgme.c
M	browser.c
M	compose.c
M	curs_main.c
M	doc/makedoc.c
M	enter.c
M	handler.c
M	hdrline.c
M	pager.c
M	pattern.c
M	pgppacket.c
M	query.c
M	recvattach.c
M	signal.c
M	smime.c

2019-11-10 18:50:41 -0800  Kevin McCarthy  <kevin@8t8.us> (aae2d87a)

        * Add $count_alternatives to count attachments inside alternatives.
        
        Some mail clients (*cough* Apple Mail) have started to put email
        attachments in one of the multipart/alternative branches.
        
        The config changes the searching to recurse inside alternatives when
        performing attachment counting.

M	doc/manual.xml.head
M	init.h
M	mutt.h
M	parse.c

2019-11-10 15:09:54 -0800  Kevin McCarthy  <kevin@8t8.us> (5835f4c0)

        * Remove nonreentrant calls from exit_handler()
        
        _() can invoke malloc, so remove l10n translations.
        
        printf() is not safe either, so use write().
        
        I'm not sure at this point about curs_set() and endwin(), but they
        seem important enough for proper terminal cleanup to risk leaving in.
        
        Thanks to Oswald Buddenhagen for pointing out the problem, and the old
        trac ticket from Vincent at:
        <https://gitlab.com/muttmua/trac-tickets/raw/master/tickets/open/3791-SIGQUIT_Ctrl_while_opening_mailbox_made_Mutt_hang.txt>

M	signal.c

2019-11-09 13:43:11 -0800  Kevin McCarthy  <kevin@8t8.us> (183c4687)

        * Add markdown2html contrib script.
        
        This was contributed by martin f. kraft, to give an example script for
        the new $send_multipart_alternative_filter funtionality.

M	contrib/Makefile.am
A	contrib/markdown2html

2019-11-09 13:29:16 -0800  Kevin McCarthy  <kevin@8t8.us> (202ec2c8)

        * Remove input buffer flush on sigwinch in index.
        
        I recall seeing a message on IRC, where someone reported their macro
        suddenly aborting after invoking an editor or something similar.  At
        the time, I wasn't sure of the problem, but this seems a likely
        culprit, if the event caused a sigwinch.
        
        Neither the menu.c nor the pager.c SigWinch handlers do such a thing.
        The line was part of the initial import 21 years ago, so there is no
        justification given.

M	curs_main.c

2019-11-08 08:07:21 -0800  Kevin McCarthy  <kevin@8t8.us> (ef7e5e42)

        * Fix sigwinch race in the index and menu processor.
        
        Reset the SigWinch flag before the screen resize/reflow, not afterwards.

M	curs_main.c
M	menu.c

2019-11-07 19:33:31 -0800  Kevin McCarthy  <kevin@8t8.us> (c64baf93)

        * Change $write_bcc to default off.
        
        Change Fcc'ing to always write a Bcc header regardless of the setting.
        
        Update the variable documentation to note the difference when Fcc'ing.

M	init.h
M	mutt.h
M	sendlib.c

2019-11-07 15:06:53 -0800  Kevin McCarthy  <kevin@8t8.us> (29167ecf)

        * Block multipart type alternatives generation.
        
        Since generating multipart types using
        $send_multipart_alternative_filter will not send properly, display an
        error message and block alternatives of that type.

M	sendlib.c

2019-11-07 02:14:05 +0000  David Champion  <dgc.github@c13.us> (127bcc3c)

        * s/Mercurial/Git/ in INSTALL

M	INSTALL

2019-11-06 10:43:09 -0800  Kevin McCarthy  <kevin@8t8.us> (ab9b7b08)

        * Ensure APP_PGP flag is enabled for autocrypt.
        
        There was no code that explicitly enabled APP_PGP mode when either the
        recommendation engine or autocrypt menu were invoked.  This would
        cause the actual encryption to fail when sending.
        
        This was hidden by the $crypt_opportunistic_encrypt config, which does
        ensure it gets turned on.  I can only guess that this variable is
        popular with the autocrypt early adopters too.
        
        Also explicity enable APP_PGP for $autocrypt_reply.  We can't rely on
        $crypt_autopgp to turn this on.

M	compose.c
M	send.c

2019-10-29 13:53:20 +0800  Kevin McCarthy  <kevin@8t8.us> (0e566a03)

        * Add ability to generate multipart/alternative using a filter script.
        
        Create config variables $send_multipart_alternative (a quadoption)
        and $send_multipart_alternative_filter.  The filter script expects
        output to be the mime type, a blank line, then the content.
        
        Add ability to preview alternative from compose menu.  <view-alt-text>
        forces viewing as text.  <view-alt-mailcap> forces using the mailcap.
        Bind them to 'v' and 'V', respectively.
        
        Improve <resend-message> so a multipart/alternative is stripped out,
        which would just confuse the compose menu.  Currently this preserves
        the first alternative.
        
        Allow alternative generation in batch mode, as long as the quadoption
        is set to 'yes'.

M	OPS
M	compose.c
M	doc/manual.xml.head
M	functions.h
M	globals.h
M	init.h
M	mutt.h
M	postpone.c
M	protos.h
M	send.c
M	sendlib.c

2019-10-29 14:58:57 +0800  Kevin McCarthy  <kevin@8t8.us> (3f911681)

        * Create multipart/mixed helpers.
        
        Since we will be dealing with multipart/alternative, we need the
        helpers to be a bit more specific.
        
        We need to distinguish a top-level multipart/alternative from a
        multipart/mixed created because of attachments.

M	compose.c
M	main.c
M	postpone.c
M	protos.h
M	send.c
M	sendlib.c

2019-10-31 13:58:22 +0100  Fabian Groffen  <grobian@gentoo.org> (4cec4b63)

        * mutt_parse_content_type: work around annoying charset behaviour from Outlook
        
        MS Outlook seems to add charset=charset=utf-8 to Content-Type, which
        results in charset_utf-8 inside Mutt, which in turn confuses others.
        
        Strip a leading charset= from charset, so we work around this odd
        behaviour.
        
        Signed-off-by: Fabian Groffen <grobian@gentoo.org>

M	parse.c

2019-10-29 13:21:51 +0800  Kevin McCarthy  <kevin@8t8.us> (e9ab7539)

        * Convert smime_decrypt_mime() to use buffer pool.

M	smime.c

2019-10-28 18:59:02 +0800  Kevin McCarthy  <kevin@8t8.us> (ccf3f493)

        * Convert smime_handle_entity() to use buffers.
        
        Because of the mutt_body_handler() invocation, we avoid using the
        buffer pool.

M	smime.c

2019-10-28 12:36:29 +0800  Kevin McCarthy  <kevin@8t8.us> (05805ddd)

        * Convert smime_verify_one() to use buffer pool.

M	smime.c

2019-10-28 12:22:45 +0800  Kevin McCarthy  <kevin@8t8.us> (56856d8e)

        * Convert smime_sign_message() to use buffer pool.

M	smime.c

2019-10-27 19:29:41 +0800  Kevin McCarthy  <kevin@8t8.us> (ce55dbbf)

        * Convert smime_build_smime_entity() to use buffer pool.

M	smime.c

2019-10-27 15:47:55 +0800  Kevin McCarthy  <kevin@8t8.us> (07e32b7a)

        * Convert smime_invoke_import() and helpers to use buffer pool.

M	smime.c

2019-10-27 13:28:59 +0800  Kevin McCarthy  <kevin@8t8.us> (d4c00c67)

        * Convert smime_verify_sender() and helpers to use buffer pool.

M	smime.c

2019-10-27 11:09:00 +0800  Kevin McCarthy  <kevin@8t8.us> (7c81cd61)

        * Convert smime_get_candidates() to use buffer pool.

M	smime.c

2019-10-26 19:36:33 +0800  Kevin McCarthy  <kevin@8t8.us> (7e29eb23)

        * Convert mutt_write_fcc() to use buffer pool.

M	sendlib.c

2019-10-25 19:29:56 +0800  Kevin McCarthy  <kevin@8t8.us> (58a81897)

        * Convert _mutt_bounce_message to use buffer pool.

M	sendlib.c

2019-10-25 19:13:50 +0800  Kevin McCarthy  <kevin@8t8.us> (8de05d5f)

        * Convert send_msg() $sendmail_wait to use buffer pool.

M	sendlib.c

2019-10-25 15:55:49 +0800  Kevin McCarthy  <kevin@8t8.us> (3565f686)

        * Convert transform_to_7bit() to use buffer pool.

M	sendlib.c

2019-10-25 15:28:25 +0800  Kevin McCarthy  <kevin@8t8.us> (671e653c)

        * Convert mutt_message_to_7bit() to use buffer.
        
        Clean up the error handling a bit.
        
        Because of the recursive invocation, avoid the buffer pool in this
        case.

M	sendlib.c

2019-10-24 14:46:06 +0800  Kevin McCarthy  <kevin@8t8.us> (c5d770ea)

        * Convert fcc to a buffer.
        
        This affects the send.c flow (ci_send_message()), the compose menu,
        and various helper functions.

M	compose.c
M	edit.c
M	headers.c
M	hook.c
M	postpone.c
M	protos.h
M	send.c
M	sendlib.c

2019-10-24 11:23:20 +0800  Kevin McCarthy  <kevin@8t8.us> (2fcde005)

        * Convert send_message() to use buffer pool.

M	send.c

2019-10-23 19:17:09 +0800  Kevin McCarthy  <kevin@8t8.us> (12cd2d52)

        * Add typelen parameter to rfc1524_mailcap_lookup().
        
        Because of mime_lookup commands, the call to mutt_check_lookup_list()
        inside the function can modify the passed in type.  Add an explicit
        length parameter to the function, rather than assume the parameter
        size.  This also makes it more evident the type parameter can be
        modified to callers.
        
        Change the len parameter to mutt_check_lookup_list() to type size_t,
        just to be correct about it.

M	attach.c
M	handler.c
M	protos.h
M	recvattach.c
M	rfc1524.c
M	rfc1524.h

2019-10-23 19:01:17 +0800  Kevin McCarthy  <kevin@8t8.us> (8997c55f)

        * Convert rfc1524_mailcap_lookup() to use buffer pool for path.
        
        Adjust the rfc1524_mailcap_parse() and get_field_text() filename and
        type parameters to be const.
        
        Note that the sizeof(type) needs to be passed to
        rfc1524_mailcap_lookup().  I'll fix that next.

M	rfc1524.c

2019-10-23 16:03:56 +0800  Kevin McCarthy  <kevin@8t8.us> (6380cbd6)

        * Convert mutt_attach_reply() to use buffer pool.

M	recvcmd.c

2019-10-23 15:36:59 +0800  Kevin McCarthy  <kevin@8t8.us> (8d12d900)

        * Convert attach_forward_msgs() to use buffer pool.

M	recvcmd.c

2019-10-23 15:04:49 +0800  Kevin McCarthy  <kevin@8t8.us> (0b59dc75)

        * Convert attach_forward_bodies to use buffer pool.

M	recvcmd.c

2019-10-23 14:44:47 +0800  Kevin McCarthy  <kevin@8t8.us> (1f71fad9)

        * Convert attach_fmt %f to use buffer pool.

M	recvattach.c

2019-10-23 14:33:09 +0800  Kevin McCarthy  <kevin@8t8.us> (80bc61db)

        * Convert mutt_num_postponed() maildir check to use buffer pool.

M	postpone.c

2019-10-23 13:53:26 +0800  Kevin McCarthy  <kevin@8t8.us> (d8b6f94e)

        * Convert pop_fetch_message() to use buffer pool.

M	pop.c

2019-10-23 11:39:22 +0800  Kevin McCarthy  <kevin@8t8.us> (08480fa8)

        * Convert pop_read_header() to use buffer pool.

M	pop.c

2019-10-20 15:52:22 +0800  Kevin McCarthy  <kevin@8t8.us> (5b53290a)

        * Convert pgp_find_hash to use buffer pool.

M	pgpmicalg.c

2019-10-20 15:27:10 +0800  Kevin McCarthy  <kevin@8t8.us> (26e89164)

        * Convert pgp_make_key_attachment() to use buffer pool.

M	pgpkey.c

2019-10-20 14:06:24 +0800  Kevin McCarthy  <kevin@8t8.us> (15f89f8e)

        * Remove make_key_attachment parameter.
        
        The parameter is not actually used anywhere.  The next commit will
        convert the classic pgp implementation to use the buffer pool.  This
        change will simplify the logic.

M	compose.c
M	crypt-gpgme.c
M	crypt-gpgme.h
M	crypt-mod-pgp-classic.c
M	crypt-mod-pgp-gpgme.c
M	crypt-mod.h
M	cryptglue.c
M	mutt_crypt.h
M	pgp.h
M	pgpkey.c
M	send.c

2019-10-20 13:41:30 +0800  Kevin McCarthy  <kevin@8t8.us> (e3408a00)

        * Convert pgp_select_key() to use buffer pool.

M	pgpkey.c

2019-10-19 15:50:22 +0800  Kevin McCarthy  <kevin@8t8.us> (782bcd7d)

        * Convert pgp_traditional_encryptsign() to use buffer pool.

M	pgp.c

2019-10-19 15:35:06 +0800  Kevin McCarthy  <kevin@8t8.us> (978cdaf7)

        * Convert pgp_encrypt_message() to use buffer pool.

M	pgp.c

2019-10-19 15:07:53 +0800  Kevin McCarthy  <kevin@8t8.us> (38291748)

        * Convert pgp_sign_message to use buffer pool.

M	pgp.c

2019-10-19 14:48:17 +0800  Kevin McCarthy  <kevin@8t8.us> (48a34377)

        * Convert pgp_encrypted_handler() to use buffer pool.

M	pgp.c

2019-10-18 15:05:33 +0800  Kevin McCarthy  <kevin@8t8.us> (aa66b414)

        * Convert pgp_decrypt_mime() to use buffer pool.

M	pgp.c

2019-10-18 14:41:06 +0800  Kevin McCarthy  <kevin@8t8.us> (e383f5c9)

        * Convert pgp_decrypt_part() to use buffer pool.

M	pgp.c

2019-10-18 14:29:56 +0800  Kevin McCarthy  <kevin@8t8.us> (f3bfb7d1)

        * Convert pgp_extract_keys_from_attachment() to use buffer pool.

M	pgp.c

2019-10-18 14:21:19 +0800  Kevin McCarthy  <kevin@8t8.us> (e2722551)

        * Convert pgp_verify_one() to use buffer pool.

M	pgp.c

2019-10-18 14:02:02 +0800  Kevin McCarthy  <kevin@8t8.us> (c1f9f00f)

        * Convert pgp_check_traditional_one_body() to use buffer pool.

M	pgp.c

2019-10-17 18:34:55 +0800  Kevin McCarthy  <kevin@8t8.us> (e750e39c)

        * Clean up pager change folder aborts to return to pager.
        
        Changing folder from within the pager behaved inconsistently when
        aborting, or upon a normal error.  It would sometimes return the pager
        and other times return to the index.
        
        Ensure it returns to the pager, except in the case where
        mx_close_mailbox() fails due to a new mail or reopen event.  In that
        case we likely want to be in the index - the message we were viewing
        could have disappeared or relocated.

M	curs_main.c

2019-10-17 17:30:03 +0800  Kevin McCarthy  <kevin@8t8.us> (b15e8659)

        * Remove menu->menu hack when redirecting pager ops through index.
        
        As noted in commit a327386c, this causes problems when redirecting ops
        that open new menus.  There is no need to change the menu->menu type,
        as a flag works perfectly well with no such side effects.
        
        This also removes the need for comments explaning the hack before
        mutt_folder_hooks() when changing folders, or before displaying a
        message in the pager.

M	curs_main.c

2019-10-17 16:01:11 +0800  Kevin McCarthy  <kevin@8t8.us> (e5f24ca8)

        * Merge branch 'stable'

2019-10-17 15:48:31 +0800  Kevin McCarthy  <kevin@8t8.us> (a327386c)

        * Stable branch quick fix for pager change-mailbox push/exec bug.
        
        The menu functions mutt_push/pop_current_menu() keep track of the menu
        stack, automatically setting CurrentMenu when exiting menus.
        
        The only gotcha was the function sharing between the index and pager
        menus.  The index uses a hack, setting menu->menu to MENU_PAGER for
        operations redirecting through the index and back to the pager
        afterwards.
        
        I thought this was covered by the restoration of the menu before
        returning to the pager, or when exiting the index switch.  However it
        is not: invoking other menus, such as the browser, will result in
        CurrentMenu being set to the Pager when exiting those (by
        mutt_pop_current_menu()).  This can result in folder hooks failing for
        unshared functions.
        
        A better fix is to remove the hack of using menu->menu, because this
        can easily cause a problem in the future in other situations.  (I will
        make this fix in master next.)  For the stable branch, I am explicitly
        setting/restoring CurrentMenu before invoking the folder hooks.

M	curs_main.c

2019-10-16 15:42:54 +0800  Kevin McCarthy  <kevin@8t8.us> (30b1ff48)

        * Convert pgp_app_handler to use buffer pool.
        
        Rename the pgp_copy_checksig() and mutt_wait_filter() return code
        variables to provide more clarity, and to make the purpose and
        assignment of rc more obvious.
        
        Change tmpfname creation failure to be like pgpoutfile and
        pgperrfile, by going to the cleanup point.

M	pgp.c

2019-10-16 14:41:04 +0800  Kevin McCarthy  <kevin@8t8.us> (f566f734)

        * Convert msg_search to use buffer.
        
        Avoid the buffer pool because of the long life cycle (across the
        invocation of mutt_body_handler().

M	pattern.c

2019-10-16 14:13:05 +0800  Kevin McCarthy  <kevin@8t8.us> (23bfc45f)

        * Convert mx_close_mailbox() to use buffer pool.

M	mx.c

2019-10-15 15:26:20 +0800  Kevin McCarthy  <kevin@8t8.us> (9506db1e)

        * Reduce line buffer size in mx_get_magic().
        
        tmp is only used for mbox and mmdf iniital line examination.  That
        only needs to look at 6 characters from the first line.

M	mx.c

2019-10-15 14:52:26 +0800  Kevin McCarthy  <kevin@8t8.us> (0944e898)

        * Convert mutt_save_confirm() to use buffer pool.
        
        These are prompts, so don't really need the larger, dynamic
        capability, but it might not hurt for a larger path.

M	muttlib.c

2019-10-15 14:38:07 +0800  Kevin McCarthy  <kevin@8t8.us> (48847904)

        * Removed unused mutt_expand_link()

M	muttlib.c
M	protos.h

2019-10-15 14:33:02 +0800  Kevin McCarthy  <kevin@8t8.us> (140cd885)

        * Change ssl_init to use buffer pool for rand filename.

M	mutt_ssl.c

2019-10-15 13:48:59 +0800  Kevin McCarthy  <kevin@8t8.us> (5572a302)

        * Convert mbox_sync_mailbox() to use buffer pool.
        
        Rewrite return(-1) to a new fatal target to ensure cleanup.
        
        Remove some repetitive unlink(tempfile) operations by adding a new
        flag pointing when to start and stop that during a bail.

M	mbox.c

2019-10-13 16:25:54 +0800  Kevin McCarthy  <kevin@8t8.us> (71d6dbea)

        * Update mime fields when piping a message with $pipe_decode set.
        
        Programs that process the message may get confused if the original
        mime fields are in the output.  Add the CH_MIME flag to strip mime
        headers and CH_TXTPLAIN to add decoded text mime headers in their
        place, just as <decode-copy> does.
        
        However, make sure not to add the flags when printing, as printers
        highly likely won't care and users probably don't want to see those
        headers in their printout.

M	commands.c

2019-10-11 19:31:58 +0800  Kevin McCarthy  <kevin@8t8.us> (9a1b08bf)

        * Merge branch 'stable'

2019-10-11 19:17:58 +0800  Beck, Andre  <beck@ibh.de> (937a1eb1)

        * Clear connection input buffer when closing.
        
        An RFC-violating reply from the Dovecot SMTP submission service
        uncovered a bug in Mutt.  Mutt was not clearing out the input buffer
        when closing the connection.
        
        Dovecot was including an extra 250 response after data submission:
        
          DATA
          354 OK
          Subject: Test 3
        
          Test 3
          .
          250 2.0.0  223 byte chunk, total 223
          250 2.0.0 OK id=1iIqT1-0004wS-Ac
          quit
          221 2.0.0 Bye
        
        The multiline 250 reply requires a hyphen in the first response.  Mutt
        closes the connection after the quit, but ends up leaving the
        unexpected second line in the input buffer.  This causes an error in
        the next usage of the connection.
        
        Clean out bufpos and available when closing the socket.

M	mutt_socket.c

2019-10-10 15:03:05 +0800  Kevin McCarthy  <kevin@8t8.us> (0e32b977)

        * Add new browse-mailboxes function in index and pager.
        
        This allows direct access to the mailboxes list in the folder menu.
        This is useful, for instance, if $browser_sticky_cursor is set and the
        current directory does not contain the open mailbox.  The macro
        version will lose the current mailbox while toggling to the mailboxes
        list.

M	OPS
M	curs_main.c
M	doc/Muttrc.head
M	functions.h

2019-10-09 12:59:41 +0800  Kevin McCarthy  <kevin@8t8.us> (e4c176b3)

        * Convert main() to use buffers for paths.
        
        Convert fpath (used for checking and creating $folder.
        
        Convert expanded_infile and tempfile which are used for the -i,-H, and
        -E options.  We allocate buffers, rather than use the pool, because
        they are used for the duration of the compose/send operation.

M	main.c
M	protos.h
M	send.c

2019-10-09 08:36:59 +0800  Kevin McCarthy  <kevin@8t8.us> (fe69e4d1)

        * Add sticky browser behavior for sorting.
        
        The menu isn't rebuilt after sorting, so the selected mailbox was not
        sticky for that operation.
        
        Refactor the sticky cursor setting out so it can be explicitly called
        after sorting too.

M	browser.c

2019-10-08 15:22:27 +0800  Kevin McCarthy  <kevin@8t8.us> (46223bc9)

        * Convert start_debug() to use buffer pool.

M	init.c

2019-10-08 15:21:44 +0800  Kevin McCarthy  <kevin@8t8.us> (fb2487c2)

        * Convert set/reset and source_rc to use buffers for paths.

M	init.c

2019-10-08 13:07:40 +0800  Kevin McCarthy  <kevin@8t8.us> (49c97808)

        * Convert parse_path_(un)list to use buffer pool for path.
        
        Don't use the buf parameter to avoid stretching it out, as it's used
        for the entire rc parsing, and typically just holds command names.

M	init.c

2019-10-08 12:28:30 +0800  Kevin McCarthy  <kevin@8t8.us> (d430f372)

        * Change message cache id to use SHORT_STRING.
        
        Even that is too big, but it doesn't make make sense to use
        _POSIX_PATH_MAX for the id string.

M	imap/message.c

2019-10-08 11:24:38 +0800  Kevin McCarthy  <kevin@8t8.us> (f055ff54)

        * Convert imap_cachepath() and callers to use buffers.

M	imap/imap_private.h
M	imap/message.c
M	imap/util.c

2019-10-07 10:39:44 +0800  Kevin McCarthy  <kevin@8t8.us> (dcdbdfee)

        * Convert imap fetch_new and fetch_message tempfiles to buffer pool.

M	imap/message.c

2019-10-07 09:55:39 +0800  Kevin McCarthy  <kevin@8t8.us> (2e0fc335)

        * Convert imap_open_new_message() to use buffer pool.

M	imap/imap.c

2019-10-06 16:32:42 +0800  Kevin McCarthy  <kevin@8t8.us> (3f5b0220)

        * Convert save-hook and fcc-hook to use buffer pool internally.
        
        The hook parameters still need to be converted, but I'm working
        towards it slowly.

M	hook.c
M	muttlib.c
M	protos.h

2019-10-06 13:37:14 +0800  Kevin McCarthy  <kevin@8t8.us> (8351c060)

        * Convert mutt_parse_hook() to use buffer pool.
        
        Remove the path variable, as this is not needed:
        mutt_buffer_expand_path() and mutt_check_simple() can operate directly
        on the pattern/command buffers.

M	hook.c

2019-10-05 14:10:04 +0800  Kevin McCarthy  <kevin@8t8.us> (43bc959c)

        * Convert shrink_histfile() tempfile to use buffer pool.

M	history.c

2019-10-05 13:59:57 +0800  Kevin McCarthy  <kevin@8t8.us> (bb62f172)

        * Convert mutt_help() to use buffer for tempfile.

M	help.c

2019-10-05 13:52:50 +0800  Kevin McCarthy  <kevin@8t8.us> (dafb1f38)

        * Convert mutt_edit_headers() to use buffer pool.

M	headers.c

2019-10-04 15:29:03 +0800  Kevin McCarthy  <kevin@8t8.us> (48cf1092)

        * Fix built-in pager checks for help and attachments.
        
        Mutt uses the built-in pager when $pager is unset too.  Fix a few
        checks to also handle that case.

M	help.c
M	muttlib.c

2019-09-30 18:50:27 -0700  Kevin McCarthy  <kevin@8t8.us> (a6bccbe1)

        * Memcpy header cache fetch values to ensure alignment.
        
        While testing the hcache buffer pool changes, I noticed a misaligned
        pointer warning when using LMDB.
        
        The other header cache backends must ensure alignment of the pointer
        they return, but LMDB apparently does not.
        
        Instead of directly assigning and dereferencing the pointer fetched,
        use memcpy to the appropriate type, just as the header cache restore
        operation does.

M	imap/imap.c
M	imap/message.c
M	imap/util.c
M	mh.c

